## org.apache.sling.junit.healthcheck.impl
Class JUnitHealthCheck

    java.lang.Object
      org.apache.sling.junit.healthcheck.impl.JUnitHealthCheck

All Implemented Interfaces:
  org.apache.sling.hc.api.HealthCheck

    @Properties(value={@Property(name="hc.name"),@Property(name="hc.tags",unbounded=ARRAY),@Property(name="hc.mbean.name")})
    @Service(value=org.apache.sling.hc.api.HealthCheck.class)
    public class JUnitHealthCheck

extends Object
implements org.apache.sling.hc.api.HealthCheck

HealthCheck that executes JUnit tests

Field Summary
`static String` `TEST_METHOD`
`static String` `TEST_PACKAGE_OR_CLASS_PROP`

Fields inherited from interface org.apache.sling.hc.api.HealthCheck
`MBEAN_NAME, NAME, TAGS`

Constructor Summary
`JUnitHealthCheck()`

Method Summary
`void` `activate(Map<String,Object> properties)`
`org.apache.sling.hc.api.Result` `execute()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEST_PACKAGE_OR_CLASS_PROP

    @Property
    public static final String TEST_PACKAGE_OR_CLASS_PROP

See Also:
  Constant Field Values

### TEST_METHOD

    @Property
    public static final String TEST_METHOD

See Also:
  Constant Field Values

Constructor Detail

### JUnitHealthCheck

    public JUnitHealthCheck()

Method Detail

### activate

    @Activate
    public void activate(Map<String,Object> properties)

### execute

    public org.apache.sling.hc.api.Result execute()

  Specified by:
    `execute` in interface `org.apache.sling.hc.api.HealthCheck`

Copyright © 2007-2013 The Apache Software Foundation. All Rights Reserved.